OnMeKick Local user is being kicked from a channel
Parameters

    $0 = Source nickname
    $1 = Source username
    $2 = Source hostname
    $3 = Kick reason

Window
Channel
Description

Triggered when the local user has been kicked from a channel.
The KICK message has already been processed by the server, so the user is effectively no longer on the channel. On the other side, it might be useful to access the user-related channel data from this event, thus the handler is called effectively just BEFORE the user is effectively removed from the channel internal structures (and thus BEFORE the channel data itself gets destroyed).
Since this event is triggered in the channel window, you can get the channel name by using the $target function.
Calling 'halt' in this event will stop the kick message output.

See also
onkick

Index, Events